Поставщики
GET
/v1/supplier
const url = 'https://api-admin.billz.ai/v1/supplier?page=1&limit=1000';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/supplier?page=1&limit=1000' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Коды ошибок: 400 — ошибка валидации входных данных; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»page
integer format: int32
Нечисловое значение -> 400
limit
integer format: int32
Нечисловое значение — 400
Example
1000search
string
Строка поиска
Header Parameters
Заголовок раздела «Header Parameters»platform-id
string
Идентификатор платформы. Для интеграций используется статичное значение.
Responses
Заголовок раздела «Responses»Успешный ответ
Media typeapplication/json
object
count
Всего поставщиков
integer format: int32
total_debt_value
number format: double
total_purchase_price
number format: double
total_paid_purchase_price
number format: double
total_purchase_measurement_value
number format: double
suppliers
Array<object>
object
id
string
external_id
Внешний (порядковый) идентификатор
string
company_id
string
name
string
debt_value
number format: double
total_purchase_price
number format: double
total_paid_purchase_price
number format: double
total_purchase_measurement_value
number format: double
phone_numbers
Array<string>
balance
number format: double
Examplegenerated
{ "count": 1, "total_debt_value": 1, "total_purchase_price": 1, "total_paid_purchase_price": 1, "total_purchase_measurement_value": 1, "suppliers": [ { "id": "example", "external_id": "example", "company_id": "example", "name": "example", "debt_value": 1, "total_purchase_price": 1, "total_paid_purchase_price": 1, "total_purchase_measurement_value": 1, "phone_numbers": [ "example" ], "balance": 1 } ]}